<?php
/*
Plugin Name: WP AntiSpamReg
Description: simple checks the email from registration form against the API from stopforumspam.com
Author: Sven Denkert
Author URI: http://www.galiator.de
Plugin URI: http://www.galiator.de/wordpress/wp-antispamreg/#utm_source=wpadmin&utm_medium=plugin&utm_campaign=wplexica
Version: 0.2
*/

function wp_antispamreg_check( $errors, $login, $email ) {
	$test = file_get_contents(
			'http://www.stopforumspam.com/api?email='.$email.'&f=serial' );
	$data = @unserialize( $test );
	if( is_array( $data )
		&& isset( $data['email'] )
		&& isset( $data['email']['appears'] )
		&& $data['email']['appears']
	) {
		$errors->add( 'email error', '?' );
	}
	return $errors;
}

add_filter( 'registration_errors', 'wp_antispamreg_check', 10, 3 );